# PSF-LoginServer - master - net.psforever.objects.serverobject.shuttle.OrbitalShuttlePadControl
PSF - LoginServer - master - net.psforever.objects.serverobject.shuttle.OrbitalShuttlePadControl
Keywords: PSF LoginServer master net.psforever.objects.serverobject.shuttle.OrbitalShuttlePadControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package shuttle
  Definition Classes
    serverobject
- OrbitalShuttle
- OrbitalShuttlePad
- OrbitalShuttlePadControl
- ShuttleAmenity

o

net.psforever.objects.serverobject.shuttle

# OrbitalShuttlePadControl 

###
Companion class OrbitalShuttlePadControl

#### object OrbitalShuttlePadControl

Source
  OrbitalShuttlePadControl.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OrbitalShuttlePadControl
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def lockedWaitingForShuttle(obj: PlanetSideServerObject, door: Door): Boolean

    Logic for door mechanism that keeps select doors shut when the shuttle is not ready for boarding.

    Logic for door mechanism that keeps select doors shut when the shuttle is not ready for boarding. A message flashes onscreen to explain this reason. The message will not flash if the door has no expectation of ever opening for a user.

    obj

      what attempted to open the door

    door

      the door

    returns

      `false`, as the door can not be opened in this state

    See also

      `AvatarAction.SendResponse`

      `AvatarServiceMessage`

      `ChatMessageType`

      `ChatMsg`

      `Player`

      `Service`

      `Zone.AvatarEvents`

13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def registerShuttle(zone: Zone, shuttle: Vehicle, ref: ActorRef): GiveTask

    Register the shuttle as a common vehicle in a zone.

    Register the shuttle as a common vehicle in a zone.

    zone

      the zone the shuttle and the pad will occupy

    shuttle

      the vehicle that will be the shuttle

    ref

      a reference to the control agency for the orbital shuttle pad

    returns

      a `TaskResolver.GiveTask` object

17.  def shuttleIsBoarding(obj: PlanetSideServerObject, door: Door): Boolean

    Logic for door mechanism that allows the shuttle entryway to be opened.

    Logic for door mechanism that allows the shuttle entryway to be opened. Only opens for users with proper faction affinity.

    obj

      what attempted to open the door

    door

      the door

    returns

      `true`, if the user is the accepted by the door; `false`, otherwise

18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped